#!/bin/sh
### BEGIN INIT INFO
# Provides:          btsync-daemon
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the btsync-daemon.
### END INIT INFO

PKG_NAME="bt-sync"
PKG_DIR="/usr/local/AppCentral/bt-sync"
CONFIG_DIR="${PKG_DIR}/config"
DAEMON="$PKG_DIR/btsync"
DAEMON_PACKAGE="" #change according to daemon version used
DAEMON_OPTS=" --config $CONFIG_DIR/sync.conf" 
ARCH=$(/bin/uname -m)

case "$1" in
  start)
	/bin/echo "Starting PKG_NAME... "
	# test for DAEMON
	if [ ! -f $DAEMON ]; then
		# test for architecture and then pull appropriate branch.
		/bin/echo "moving $ARCH version of DAEMON"
		if [ "$ARCH" = "x86_64" ]; then 
			/bin/mv $PKG_DIR/bin/btsync_x86-64 $DAEMON
			/bin/echo "btsync_x86-64 moved to DAEMON"
		else
			/bin/mv $PKG_DIR/bin/btsync_i386 $DAEMON
			/bin/echo "btsync_i386 moved to DAEMON"
		fi
	fi
	[ -d $CONFIG_DIR/.sync ] || /bin/mkdir $CONFIG_DIR/.sync
	#chmod
	/bin/chown -R admin $CONFIG_DIR
	/bin/chmod 666 $CONFIG_DIR/sync.conf
	/bin/chmod 777 $DAEMON
			
	/bin/echo "Starting BitTorrentSync daemon... "
	$DAEMON $DAEMON_OPTS
	RETVAL=$?
  ;;
	
  stop)
	/bin/echo "Shutting down $PKG_NAME... "
	/bin/pidof btsync 1>>/dev/null 2>>/dev/null
	if [ $? = 0 ]; then
		/usr/bin/killall btsync
		RETVAL=$?
	fi
	/bin/sleep 1
	RETVAL=$?
	/bin/sleep 3
  ;;
		
  restart)
		$0 stop
		/bin/sleep 10
		$0 start
		RETVAL=$?
  ;;
  *)
		/bin/echo "Usage: $0 {start|stop|restart}"
esac

exit 0
